Summary
Calculate incoming/outgoing schemas for the workflow
Description
calculate incoming/outgoing schemas for the workflow
Route
POST /workflow_builder/workflows/schemas
Roles
admin
engineering
support
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow |
object |
yes |
Workflow's data. |
Copied to Clipboard
{
"workflow": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"48efe9a41fd74d72dd756acc",
"cfdc2a5a153909b31b3d3cbf"
],
"nodeLocation": {
"x": 79510905.73584306,
"y": -77914513.73710644
}
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"a4e91e0387e0f8049b2d5825",
"704600a12e696ab6084b9bc4",
"c18c35976f9c861039680bc2"
],
"nodeLocation": {
"x": -49907011.55654835,
"y": -87339231.74284878
}
},
"error_handler": {
"name": "childJob",
"summary": "et ex incididunt",
"description": "laboris aliquip dolore",
"app": "amet eu irure dolor",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/GMTwDo/YAIyENU/d+AYJZ/~0/HqUMXv4-7Od"
},
{
"type": "encryption",
"pointer": "/o64+hX1e/m3qK-il/My8/aW/fEjaL"
},
{
"type": "encryption",
"pointer": "/~0/~0"
}
]
},
"groups": [
"ef847a1af1fefd05ec0b9824",
"71393eaa330402391c6dce60",
"fbf74c228452c1ace1486fd0",
"a93d57716741f2bc1bb154d1",
"eb9a5fd3d147631a2610d4ff"
],
"type": "operation",
"nodeLocation": {
"x": 44180476.16530031,
"y": -78654750.07333878
},
"deprecated": true,
"scheduled": true,
"retrySettings": {
"state": [
"error",
"failure",
"failure",
"success"
],
"autoRetry": true,
"limit": 20,
"delay": 2000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"0d9b1ed5cdef8f04fd7e48b8",
"aaf0f1c3d018bef4927ecd19",
"91329b5bf20ad6abfa2394c2",
"b89d31a2a146a52c810b7926"
],
"_id": "8d2e9cbc-9a72-e4bf-224d-f88fc54e29dd",
"uuid": "e3de5e88-1dce-f154-ed46-5ea1a4ff5053",
"description": null,
"namespace": null,
"preAutomationTime": 5000,
"sla": -77205458,
"errorHandler": null,
"font_size": 12,
"created": "1962-10-12T23:16:23.001Z",
"created_by": "723e87a42b793718c00bfa9c",
"createdVersion": "5.40.5-2021.1.72.0",
"last_updated": "2008-10-24T16:45:09.563Z",
"last_updated_by": "329e42f63eb361aeb128386d",
"lastUpdatedVersion": "4.69.69",
"tags": [
"dolore tempor labore dolor exercitation",
"ex voluptate irure nulla ipsum",
"anim",
"ea"
],
"canvasVersion": 3,
"encodingVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/~1/~0/jw/~1/~0/VeMz5q/~1/i1sUGz8/~1/r"
},
{
"type": "encryption",
"pointer": "/~1/aSEw/fTD7Y3/ytZ8Qs8+"
},
{
"type": "encryption",
"pointer": "/~0/fKKW.8YN-ce/DlSy1/~1/LsxBC/~1/OhuhNsp/I6orBe"
}
],
"migrationVersion": 70418797
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"workflow": {
"$ref": "workflowDocument"
}
},
"required": [
"workflow"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
Input/Output transformation schemas for the workflow |
Copied to Clipboard
{
"title": "data",
"type": "object",
"properties": {
"inputSchema": {
"type": "object"
},
"outputSchema": {
"type": "object"
}
}
}